TlsTestCase (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls.test

## Class TlsTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.crypto.tls.test.TlsTestCase

- All Implemented Interfaces:
    junit.framework.Test

      public class TlsTestCase
      extends junit.framework.TestCase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TlsTestConfig` | `config`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlsTestCase(java.lang.String name)`
    `TlsTestCase(TlsTestConfig config, java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `logException(java.lang.Exception e)`
    `protected void` | `runTest()`
    `void` | `testDummy()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected final TlsTestConfig config

  - ### Constructor Detail

    - #### TlsTestCase

          public TlsTestCase(java.lang.String name)

    - #### TlsTestCase

          public TlsTestCase(TlsTestConfig config,
                     java.lang.String name)

  - ### Method Detail

    - #### testDummy

          public void testDummy()

    - #### runTest

          protected void runTest()
                          throws java.lang.Throwable

      Overrides:
        `runTest` in class `junit.framework.TestCase`
      Throws:
        `java.lang.Throwable`

    - #### logException

          protected void logException(java.lang.Exception e)